# Channel Availability (Inventory)

Endpoints to configure and get channel availability.

## List availability channels

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityChannelPaginatedResult":{"properties":{"channels":{"items":{"$ref":"#/components/schemas/AvailabilityChannel"},"type":"array"},"total":{"minimum":0,"type":"number"}},"required":["total","channels"],"title":"AvailabilityChannelPaginatedResult","type":"object","description":"AvailabilityChannelPaginatedResult"},"AvailabilityChannel":{"properties":{"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version","id","created","lastModified"],"title":"AvailabilityChannel","type":"object","description":"AvailabilityChannel"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getAvailabilityChannels","parameters":[{"in":"query","name":"searchTerm","required":false,"schema":{"type":"string"}},{"in":"query","name":"searchTermExact","required":false,"schema":{"type":"string"}},{"in":"query","name":"strategy","required":false,"schema":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannelPaginatedResult"}}},"description":"Available Availability Channels"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List availability channels","tags":["Channel Availability (Inventory)"]}}}}
```

## Create availability channel

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityChannelForCreation":{"properties":{"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"}},"required":["name","strategy"],"title":"AvailabilityChannelForCreation","type":"object","description":"AvailabilityChannelForCreation"},"AvailabilityChannel":{"properties":{"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version","id","created","lastModified"],"title":"AvailabilityChannel","type":"object","description":"AvailabilityChannel"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"createAvailabilityChannel","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannelForCreation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannel"}}},"description":"The created Availability Channel"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create availability channel","tags":["Channel Availability (Inventory)"]}}}}
```

## Get availability channel

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityChannel":{"properties":{"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version","id","created","lastModified"],"title":"AvailabilityChannel","type":"object","description":"AvailabilityChannel"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getAvailabilityChannelById","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannel"}}},"description":"The Availability Channel"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get availability channel","tags":["Channel Availability (Inventory)"]}}}}
```

## Update availability channel

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityChannelForReplacement":{"properties":{"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version"],"title":"AvailabilityChannelForReplacement","type":"object","description":"AvailabilityChannelForReplacement"},"AvailabilityChannel":{"properties":{"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version","id","created","lastModified"],"title":"AvailabilityChannel","type":"object","description":"AvailabilityChannel"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}":{"put":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"replaceAvailabilityChannel","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannelForReplacement"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityChannel"}}},"description":"The replaced Availability Channel"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update availability channel","tags":["Channel Availability (Inventory)"]}}}}
```

## Delete availability channel

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Delete an existing Availability Channel. PLEASE NOTE: This will also delete all groups and allocations under this channel.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}":{"delete":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Delete an existing Availability Channel. PLEASE NOTE: This will also delete all groups and allocations under this channel.","operationId":"deleteAvailabilityChannel","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The channel has been deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete availability channel","tags":["Channel Availability (Inventory)"]}}}}
```

## List channel groups

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationGroupPaginatedResult":{"properties":{"groups":{"items":{"$ref":"#/components/schemas/AvailabilityAllocationGroup"},"type":"array"},"total":{"minimum":0,"type":"number"}},"required":["total","groups"],"title":"AvailabilityAllocationGroupPaginatedResult","type":"object","description":"AvailabilityAllocationGroupPaginatedResult"},"AvailabilityAllocationGroup":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantArticleIds":{"items":{"type":"string"},"maxItems":1,"type":"array"},"version":{"type":"number"}},"required":["tenantArticleIds","active","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocationGroup","type":"object","description":"AvailabilityAllocationGroup"},"AvailabilityAllocationPeriod":{"properties":{"end":{"format":"date-time","type":"string"},"start":{"format":"date-time","type":"string"}},"title":"AvailabilityAllocationPeriod","type":"object","description":"AvailabilityAllocationPeriod"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getGroupsUnderChannel","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}},{"in":"query","name":"searchTerm","required":false,"schema":{"type":"string"}},{"in":"query","name":"searchTermExact","required":false,"schema":{"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroupPaginatedResult"}}},"description":"Available Groups"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"List channel groups","tags":["Channel Availability (Inventory)"]}}}}
```

## Create channel group

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationGroupForCreationUnderChannel":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"tenantArticleIds":{"items":{"type":"string"},"maxItems":1,"type":"array"}},"required":["tenantArticleIds","active"],"title":"AvailabilityAllocationGroupForCreationUnderChannel","type":"object","description":"AvailabilityAllocationGroupForCreationUnderChannel"},"AvailabilityAllocationPeriod":{"properties":{"end":{"format":"date-time","type":"string"},"start":{"format":"date-time","type":"string"}},"title":"AvailabilityAllocationPeriod","type":"object","description":"AvailabilityAllocationPeriod"},"AvailabilityAllocationGroup":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantArticleIds":{"items":{"type":"string"},"maxItems":1,"type":"array"},"version":{"type":"number"}},"required":["tenantArticleIds","active","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocationGroup","type":"object","description":"AvailabilityAllocationGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"createGroupUnderChannel","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroupForCreationUnderChannel"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroup"}}},"description":"The created Group"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Create channel group","tags":["Channel Availability (Inventory)"]}}}}
```

## Get channel group

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Get Groups under Channel by its ID

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationGroupPaginatedResult":{"properties":{"groups":{"items":{"$ref":"#/components/schemas/AvailabilityAllocationGroup"},"type":"array"},"total":{"minimum":0,"type":"number"}},"required":["total","groups"],"title":"AvailabilityAllocationGroupPaginatedResult","type":"object","description":"AvailabilityAllocationGroupPaginatedResult"},"AvailabilityAllocationGroup":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantArticleIds":{"items":{"type":"string"},"maxItems":1,"type":"array"},"version":{"type":"number"}},"required":["tenantArticleIds","active","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocationGroup","type":"object","description":"AvailabilityAllocationGroup"},"AvailabilityAllocationPeriod":{"properties":{"end":{"format":"date-time","type":"string"},"start":{"format":"date-time","type":"string"}},"title":"AvailabilityAllocationPeriod","type":"object","description":"AvailabilityAllocationPeriod"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Get Groups under Channel by its ID","operationId":"getGroupUnderChannelById","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}},{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroupPaginatedResult"}}},"description":"The Group"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get channel group","tags":["Channel Availability (Inventory)"]}}}}
```

## Update channel group

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationGroupForReplacement":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"version":{"type":"number"}},"required":["version","active"],"title":"AvailabilityAllocationGroupForReplacement","type":"object","description":"AvailabilityAllocationGroupForReplacement"},"AvailabilityAllocationPeriod":{"properties":{"end":{"format":"date-time","type":"string"},"start":{"format":"date-time","type":"string"}},"title":"AvailabilityAllocationPeriod","type":"object","description":"AvailabilityAllocationPeriod"},"AvailabilityAllocationGroup":{"properties":{"active":{"type":"boolean"},"activePeriod":{"$ref":"#/components/schemas/AvailabilityAllocationPeriod"},"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"tenantArticleIds":{"items":{"type":"string"},"maxItems":1,"type":"array"},"version":{"type":"number"}},"required":["tenantArticleIds","active","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocationGroup","type":"object","description":"AvailabilityAllocationGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}":{"put":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"replaceGroupUnderChannel","parameters":[{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}},{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroupForReplacement"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationGroup"}}},"description":"The replaced Group"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update channel group","tags":["Channel Availability (Inventory)"]}}}}
```

## Delete channel group

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Delete an existing Group and all its allocations under Channel

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}":{"delete":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Delete an existing Group and all its allocations under Channel","operationId":"deleteGroupUnderChannel","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The Group has been deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete channel group","tags":["Channel Availability (Inventory)"]}}}}
```

## List group allocations

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationPaginatedResult":{"properties":{"allocations":{"items":{"$ref":"#/components/schemas/AvailabilityChannel"},"type":"array"},"total":{"minimum":0,"type":"number"}},"required":["total","allocations"],"title":"AvailabilityAllocationPaginatedResult","type":"object","description":"AvailabilityAllocationPaginatedResult"},"AvailabilityChannel":{"properties":{"created":{"format":"date-time","type":"string"},"id":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"name":{"type":"string"},"strategy":{"enum":["REGULAR","IRON_RESERVE","RESTRICT"],"type":"string"},"version":{"type":"number"}},"required":["name","strategy","version","id","created","lastModified"],"title":"AvailabilityChannel","type":"object","description":"AvailabilityChannel"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}/allocations":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getAllocationsUnderGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}},{"in":"query","name":"searchTerm","required":false,"schema":{"type":"string"}},{"in":"query","name":"searchTermExact","required":false,"schema":{"type":"string"}},{"in":"query","name":"size","required":false,"schema":{"default":25,"maximum":100,"minimum":1,"type":"number"}},{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationPaginatedResult"}}},"description":"Available Allocations"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"List group allocations","tags":["Channel Availability (Inventory)"]}}}}
```

## Create group allocation

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationForCreationUnderGroup":{"properties":{"facilityRef":{"type":"string"},"initialStockQuantity":{"type":"number"}},"required":["facilityRef","initialStockQuantity"],"title":"AvailabilityAllocationForCreationUnderGroup","type":"object","description":"AvailabilityAllocationForCreationUnderGroup"},"AvailabilityAllocation":{"properties":{"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"facilityRef":{"type":"string"},"groupRef":{"type":"string"},"id":{"type":"string"},"initialStockQuantity":{"type":"number"},"lastModified":{"format":"date-time","type":"string"},"version":{"type":"number"}},"required":["facilityRef","initialStockQuantity","groupRef","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocation","type":"object","description":"AvailabilityAllocation"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}/allocations":{"post":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"createAllocationUnderGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationForCreationUnderGroup"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocation"}}},"description":"The created Allocation"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Create group allocation","tags":["Channel Availability (Inventory)"]}}}}
```

## List group allocations

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocation":{"properties":{"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"facilityRef":{"type":"string"},"groupRef":{"type":"string"},"id":{"type":"string"},"initialStockQuantity":{"type":"number"},"lastModified":{"format":"date-time","type":"string"},"version":{"type":"number"}},"required":["facilityRef","initialStockQuantity","groupRef","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocation","type":"object","description":"AvailabilityAllocation"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}/allocations/{allocationId}":{"get":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getAllocationUnderGroupById","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"allocationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocation"}}},"description":"The Allocation"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"List group allocations","tags":["Channel Availability (Inventory)"]}}}}
```

## Update group allocation

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"AvailabilityAllocationForReplacement":{"properties":{"groupId":{"type":"string"},"initialStockQuantity":{"type":"number"},"version":{"type":"number"}},"required":["version","initialStockQuantity"],"title":"AvailabilityAllocationForReplacement","type":"object","description":"AvailabilityAllocationForReplacement"},"AvailabilityAllocation":{"properties":{"channelRef":{"type":"string"},"created":{"format":"date-time","type":"string"},"facilityRef":{"type":"string"},"groupRef":{"type":"string"},"id":{"type":"string"},"initialStockQuantity":{"type":"number"},"lastModified":{"format":"date-time","type":"string"},"version":{"type":"number"}},"required":["facilityRef","initialStockQuantity","groupRef","channelRef","id","version","created","lastModified"],"title":"AvailabilityAllocation","type":"object","description":"AvailabilityAllocation"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}/allocations/{allocationId}":{"put":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"replaceAllocationUnderGroup","parameters":[{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"allocationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocationForReplacement"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailabilityAllocation"}}},"description":"The replaced Allocation"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Update group allocation","tags":["Channel Availability (Inventory)"]}}}}
```

## Delete group allocation

> This part of the API is deprecated. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to configure and get channel availability.","name":"Channel Availability (Inventory)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/availabilitychannels/{availabilityChannelId}/groups/{groupId}/allocations/{allocationId}":{"delete":{"deprecated":true,"description":"This part of the API is deprecated. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#deprecated\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"deleteAllocationUnderGroup","parameters":[{"in":"path","name":"allocationId","required":true,"schema":{"type":"string"}},{"in":"path","name":"groupId","required":true,"schema":{"type":"string"}},{"in":"path","name":"availabilityChannelId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The Allocation has been deleted"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete group allocation","tags":["Channel Availability (Inventory)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/channel-availability-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
